Package com.macrofocus.high_d.tablelens.javafx

# Class JavaFXTableLens<Row,Column>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.tablelens.javafx.JavaFXTableLens<Row,Column>

All Implemented Interfaces:
  `TableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

public class JavaFXTableLens<Row,Column> extends AbstractTableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.tablelens.AbstractTableLens

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTableLens()`
  Creates a ParallelCoordinates component with default settings and configuration.
  `JavaFXTableLens(TableLensModel model)`
  Creates a ParallelCoordinates component with the its native data model.
  `JavaFXTableLens(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a ParallelCoordinates component with the specified Swing TableModel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TableLensController`
  `createController(TableLensView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected TableLensModel<javafx.scene.paint.Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected TableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`
  `void`
  `setView(TableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.tablelens.AbstractTableLens

  `getController, getModel, getView, load, setController, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXTableLens

    public JavaFXTableLens()
    Creates a ParallelCoordinates component with default settings and configuration.

  - ### JavaFXTableLens

    public JavaFXTableLens(TableLensModel model)
    Creates a ParallelCoordinates component with the its native data model.
    Parameters:
      `model` - a ParallelCoordinatesModel

  - ### JavaFXTableLens

    public JavaFXTableLens(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a ParallelCoordinates component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a Swing TableModel

- ## Method Details

  - ### setView

    public void setView(TableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> view)
    Description copied from interface: `TableLens`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `TableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Overrides:
      `setView` in class `AbstractTableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Parameters:
      `view` - the view to be used

  - ### createModel

    protected TableLensModel<javafx.scene.paint.Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractTableLens`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractTableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected TableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createView()
    Description copied from class: `AbstractTableLens`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractTableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected TableLensController createController(TableLensView view)
    Description copied from class: `AbstractTableLens`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractTableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a ParallelCoordinatesController instance

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()